#ifndef VEC2_H
#define VEC2_H

typedef struct vec2_t {
    float x, y;
} vec2;

vec2 vec2_add(vec2 a, vec2 b);
vec2 vec2_sub(vec2 a, vec2 b);
float vec2_dot(vec2 a, vec2 b);
vec2 vec2_mul(vec2 v, float f);
vec2 vec2_div(vec2 v, float f);
float vec2_mag(vec2 v);
vec2 vec2_normalize(vec2 v);
vec2 vec2_lerp(vec2 a, vec2 b, float t);
vec2 vec2_reflect(vec2 v, vec2 n);

#endif
